<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "accmast";
$formname = "Supplier Print";
$file = "supplier_print.php";
$mgrpcode = "009";

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

$state = $_POST["state"];
$statecond = "";
if (!empty($state)) {
    $statecond = " AND `state` = '$state' ";
}

if (isset($_POST["view"])) {
    $name = $_POST['name'];
    $country = $_POST['country'];
    $city = $_POST['city'];

    $namecond = "";
    $countrycond = "";
    $citycond = "";

    if (!empty($name)) {
        $namecond = " AND `accode`='$name' ";
    }
    if (!empty($country)) {
        $countrycond = " AND `country` LIKE '%$country%' ";
    }
    if (!empty($city)) {
        $citycond = " AND `city` = '$city' ";
    }
    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE `grpcode`='$mgrpcode' $namecond $citycond $statecond $countrycond ")or die(mysqli_error($conn));

    include("includes/linkshead.php");
    ?>
    </head>
    <body>
        <div class="container">
            <?php include("includes/head_rep.php"); ?>
            <div class="row">
                <div class="col-lg-12 pad">
                    <table class="table table-condensed table-bordered table-hover">
                        <tr class="mySearchTr">
                            <th width='4%'>Sr</th>
                            <th width='20%'>Name</th>
                            <th width='25%'>Address</th>
                            <th width='10%'>State</th>
                            <th width='10%'>City</th>
                            <th width='8%'>Email</th>
                            <th width='5%'>Pin</th>
                            <th width='8%'>Tel</th>
                        </tr>
                        <?php
                        $ctr = 1;
                        while ($pmain = mysqli_fetch_array($getpmain)) {

                            Echo "<tr class='bgwhite'>";
                            Echo "<td>$ctr</td>";
                            Echo "<td>$pmain[name]</td>";
                            Echo "<td>$pmain[add1] $pmain[add2] $pmain[add3] </td>";
                            Echo "<td>$pmain[state]</td>";
                            Echo "<td>$pmain[city]</td>";
                            Echo "<td>$pmain[email]</td>";
                            Echo "<td>$pmain[pin]</td>";
                            Echo "<td>$pmain[tel]</td>";
                            Echo "</tr>";
                            $ctr++;
                        }
                        ?>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>
    </html>
    <?
}
//if (isset($_POST["excel"])) {
//    $name = $_POST['name'];
//    $country = $_POST['country'];
//    $city = $_POST['city'];
//
//    $namecond = "";
//    $countrycond = "";
//    $citycond = "";
//
//    if (!empty($name)) {
//        $namecond = " AND `accode`='$name' ";
//    }
//    if (!empty($country)) {
//        $countrycond = " AND `country` LIKE '%$country%' ";
//    }
//    if (!empty($city)) {
//        $citycond = " AND `city` = '$city' ";
//    }
//    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE `grpcode`='$mgrpcode' $namecond $citycond $statecond $countrycond ")or die(mysqli_error($conn));
//
//    $contents.="Sr,Name,Address,Country,City,Email,Pin,Tel\n";
//
//    $ctr = 0;
//    while ($pmain = mysqli_fetch_array($getpmain)) {
//
//        $ctr++;
//        $pname = $pmain['name'];
//        $paddress = $pmain['add1'] . $pmain['add2'] . $pmain['add3'];
//        $pcountry = $pmain['country'];
//        $pcity = $pmain['city'];
//        $pemail = $pmain['email'];
//        $ppin = $pmain['pin'];
//        $ptel = $pmain['tel'];
//
//        $padd = srt_replace(',', ' ', $paddress );
//        
//        $contents.=$ctr . ",";
//        $contents.=$pname . ",";
//        $contents.=$padd . ",";
//        $contents.=$pcountry . ",";
//        $contents.=$pcity . ",";
//        $contents.=$pemail . ",";
//        $contents.=$ppin . ",";
//        $contents.=$ptel . "\n";
//    }
//    $contents = strip_tags($contents);
//
//    if ($_POST["dtype"] == 1) {
//        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
//        print $contents;
//    } else {
//        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
//        print $contents;
//    }
//}
//
if (isset($_POST["excel"])) {
    $name = $_POST["name"];
    $country = $_POST["country"];
    $city = $_POST["city"];

    $namecond = "";
    $countrycond = "";
    $citycond = "";

    if (!empty($name)) {
        $namecond = " AND `accode`='$name' ";
    }
    if (!empty($country)) {
        $countrycond = " AND `country` LIKE '%$country%' ";
    }
    if (!empty($city)) {
        $citycond = " AND `city` = '$city' ";
    }

    $getpmain = mysqli_query($conn, "SELECT *, CONCAT(add1,add2,add3) as addr FROM `$maindb` WHERE `grpcode`='$mgrpcode' $namecond $citycond $statecond $countrycond ")or die(mysqli_error($conn));

    $contents.="Sr, Name, Address, State, City, Email, Pin, Tel\n";

    $ctr = 0;
    while ($pmain = mysqli_fetch_array($getpmain)) {
        $ctr++;

        $add1 = str_replace(",", " ", "$pmain[add1]");
        $add2 = str_replace(",", " ", "$pmain[add2]");
        $add3 = str_replace(",", " ", "$pmain[add3]");


        $contents.=$ctr . ",";
        $contents.=$pmain["name"] . ",";
        $contents.=$add1 . $add2 . $add3 . ",";
        $contents.=$pmain["state"] . ",";
        $contents.=$pmain["city"] . ",";
        $contents.=$pmain["email"] . ",";
        $contents.=$pmain["pin"] . ",";
        $contents.=$pmain["tel"] . "\n";
    }

    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>
